CAT(1)

NAME
cat - concatene et affiche des fichiers

SYNOPSIS
cat [-benstuv] [file ...]

DESCRIPTION
L'utilitaire cat lit sequentiellement le fichier file et l'affiche sur la sortie standard. Les fichiers file passes en parametres sont traites dans l'ordre de la ligne de commande. Si le nom du fichier file est un simple tiret (‘-’) ou absent, cat lit le contenu depuis l'entree standard.Si file est une socket de domaine UNIX , cat s'y connecte et lit jusqu'a rencontrer le caractere EOF. Cela complete la capacite de gestion des bindings UNIX disponible dans inetd(8).

Les options disponibles sont:

-b  Numerote les lignes non vides en commencant a 1.

-e  Affiche les caracteres de controles (voir l'option -v ), et affiche un signe dollar (‘$’) a la fin de chaque ligne.

-n  Numerote les lignes en sortie, en commencant a 1.

-s  Remplace les lignes blanches consecutives par une seule ligne blanche.

-t  Affiche les caracteres de controles (voir l'option -v ), et affiche ‘^I’ a la place des tabulations.

-u  L'option -u garanti que la sortie n'est pas bufferisee.

-v  Affiche les caracteres de controles. Les caracteres de controle sont affiches sous la forme ‘^X’ pour controle-X; le caractere d'effacement (code octal 0177) est affiche comme ceci ‘^?’. Les caracteres non-ASCII (dont le huitieme bit est positionne) sont affiches sous la forme ‘M-’ (pour meta) suivi du caractere correspondant sur les 7 premiers bits.

DIAGNOSTICS

EXEMPLES
La commande:

    cat file1

affiche le contenu du fichier file1 sur la sortie standard.

La commande:

    cat file1 file2 > file3

lira sequentiellement le contenu des fichiers file1 et file2 et les affichera dans le fichier file3, tout en effacant le contenu de file3 s'il existe. Voir la page de manuel du shell correspondant (i.e., sh(1)) pour plus d'informations sur les redirections.

La commande:

    cat file1 - file2 - file3

lira le contenu de file1, affichera les donnees recu de l'entree standard jusqu'a ce qu'elle recoive un caractere EOF (‘^D’) affichera le contenu du fichier file2, lira et affichera une fois de plus le contenu de l'entree standard, et affichera pour finir le contenu du fichier file3. Notez que si l'entree standard se refere a un fichier, le deuxieme tiret en ligne de commande, n'aura aucun effet, car tout le contenu du fichier aura deja ete lu et afficher par cat lorsqu'il aura rencontre le premier operateur ‘-’

VOIR AUSSI
head(1), more(1), pr(1), sh(1), tail(1), vis(1), zcat(1), setbuf(3) Rob Pike, UNIX Style, or cat -v Considered Harmful, USENIX Summer Conference Proceedings, 1983.

STANDARDS
La commande cat est compatible avec la specification p1003.2-92

Les options [-benstv] sont des extensions a cette specification

HISTORIQUE
La commande cat est apparue dans AT&T UNIX. Dennis Ritchie a defini et ecrit la premiere page de manuel. Il semblerait que ce fut cat(1).

BOGUES
Du aux mecanismes de redirection de la sortie standard du shell, la commande “cat file1 file2 > file1” detruit les donnees originnelles dans le fichier file1!